> ## Documentation Index
> Fetch the complete documentation index at: https://docs.engine.usesophic.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List events

> Retrieve events, optionally filtered by name, resource ID, or creation time.



## OpenAPI

````yaml https://api.engine.usesophic.com/openapi.json get /events
openapi: 3.1.0
info:
  title: Sophic Engine API
  version: 0.1.0
servers:
  - url: https://api.engine.usesophic.com/
security: []
paths:
  /events:
    get:
      summary: List events
      description: >-
        Retrieve events, optionally filtered by name, resource ID, or creation
        time.
      operationId: list_events_events_get
      parameters:
        - name: name
          in: query
          required: false
          schema:
            description: Filter by fully-qualified event name, e.g. `customer.created`.
            x-remove-null-from-type-union: true
            title: Name
            type: string
          description: Filter by fully-qualified event name, e.g. `customer.created`.
        - name: resource[id]
          in: query
          required: false
          schema:
            description: Filter by the resource ID that the events describe.
            x-remove-null-from-type-union: true
            title: Resource[Id]
            type: string
          description: Filter by the resource ID that the events describe.
        - name: created[gt]
          in: query
          required: false
          schema:
            description: Return events created strictly after this timestamp.
            x-remove-null-from-type-union: true
            title: Created[Gt]
            type: string
            format: date-time
          description: Return events created strictly after this timestamp.
        - name: created[gte]
          in: query
          required: false
          schema:
            description: Return events created on or after this timestamp.
            x-remove-null-from-type-union: true
            title: Created[Gte]
            type: string
            format: date-time
          description: Return events created on or after this timestamp.
        - name: created[lt]
          in: query
          required: false
          schema:
            description: Return events created strictly before this timestamp.
            x-remove-null-from-type-union: true
            title: Created[Lt]
            type: string
            format: date-time
          description: Return events created strictly before this timestamp.
        - name: created[lte]
          in: query
          required: false
          schema:
            description: Return events created on or before this timestamp.
            x-remove-null-from-type-union: true
            title: Created[Lte]
            type: string
            format: date-time
          description: Return events created on or before this timestamp.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Event'
                title: Response List Events Events Get
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - HTTPBearer: []
components:
  schemas:
    Event:
      properties:
        id:
          type: string
          title: Id
          description: Unique resource identifier.
        name:
          type: string
          title: Name
          description: Fully-qualified event name, e.g. `customer.created`.
        resource:
          allOf:
            - $ref: '#/components/schemas/EventResource'
          description: The resource that the event relates to.
        data:
          type: object
          title: Data
          description: Event-specific payload data.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: >-
            The timestamp (in
            [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html)
            format) of when the event was recorded.
      type: object
      required:
        - id
        - name
        - resource
        - data
        - created_at
      title: Event
    Error:
      properties:
        detail:
          type: string
          title: Detail
          description: A human-readable description of the error.
        code:
          type: string
          title: Code
          description: A machine-readable error code.
        docs:
          title: Docs
          description: A URL to documentation about this error code.
          x-remove-null-from-type-union: true
          type: string
        context:
          title: Context
          description: An optional object for adding extra context to the error.
          x-remove-null-from-type-union: true
          additionalProperties:
            anyOf:
              - type: string
              - type: integer
          type: object
        params:
          title: Params
          description: An optional list of params that failed validation.
          x-remove-null-from-type-union: true
          items:
            $ref: '#/components/schemas/InvalidParam'
          type: array
      type: object
      required:
        - detail
        - code
      title: Error
    EventResource:
      properties:
        id:
          type: string
          title: Id
          description: The ID of the resource.
        resource_type:
          type: string
          title: Resource Type
          description: The canonical type of the resource.
      type: object
      required:
        - id
        - resource_type
      title: EventResource
    InvalidParam:
      properties:
        path:
          items:
            anyOf:
              - type: integer
              - type: string
          type: array
          title: Path
          description: Path to the field name (or index if a list) that errored.
        detail:
          type: string
          title: Detail
          description: Human-readable detail for error.
        code:
          type: string
          title: Code
          description: A machine-readable error code.
      type: object
      required:
        - path
        - detail
        - code
      title: InvalidParam
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````